#ifndef FORMCHARGEPREPARE_H
#define FORMCHARGEPREPARE_H

#include <QWidget>

namespace Ui {
class FormChargePrepare;
}

class FormChargePrepare : public QWidget
{
    Q_OBJECT

public:
    explicit FormChargePrepare(int gun_id, QWidget *parent = nullptr);
    ~FormChargePrepare();

    void setPrepareState(const int& state);

    void setCenterTips(const QString& tips);

private:
    void initWidget();

private:
    Ui::FormChargePrepare *ui;
    uint32_t m_gun_id;
};

#endif // FORMCHARGEPREPARE_H
